2009-03-17  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.26.1

==================== 2.26.0 ====================

2009-03-17  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* configure.in: version 2.26.0

2009-01-31  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.25.91

==================== 2.25.90 ====================

2009-01-31  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* NEWS: version 2.25.90

2008-12-07  Cosimo Cecchi  <cosimoc@gnome.org>

	* demos/dash-demo.c:
	* tests/test-libglade-canvas.c:
	Use single GTK+ includes also for tests and demos.
	Thanks to Przemysław Grzegorczyk (#563566).

2008-10-19  Cosimo Cecchi  <cosimoc@gnome.org>

	* libgnomecanvas/gnome-canvas-bpath.c:
	* libgnomecanvas/gnome-canvas-clipgroup.c:
	* libgnomecanvas/gnome-canvas-shape.c:
	More GTK+ single header include fixage.

2008-10-18  Cosimo Cecchi  <cosimoc@gnome.org>

	* configure.in:
	* libgnomecanvas/Makefile.am:
	* libgnomecanvas/gailcanvas.h:
	* libgnomecanvas/gnome-canvas-pixbuf.c:
	* libgnomecanvas/gnome-canvas-rich-text.c:
	* libgnomecanvas/gnome-canvas-rich-text.h:
	* libgnomecanvas/gnome-canvas.c:
	* libgnomecanvas/gnome-canvas.h:
	Use and enforce single GTK+ includes.

2008-09-01  Stefan Kost  <ensonic@users.sf.net>

	* libgnomecanvas/gnome-canvas-bpath.h:
	* libgnomecanvas/gnome-canvas-clipgroup.h:
	* libgnomecanvas/gnome-canvas-line.h:
	* libgnomecanvas/gnome-canvas-pixbuf.h:
	* libgnomecanvas/gnome-canvas-polygon.h:
	* libgnomecanvas/gnome-canvas-rect-ellipse.h:
	* libgnomecanvas/gnome-canvas-rich-text.h:
	* libgnomecanvas/gnome-canvas-shape.h:
	* libgnomecanvas/gnome-canvas-text.h:
	* libgnomecanvas/gnome-canvas-widget.h:
	* libgnomecanvas/gnome-canvas.h:
	  Do not use deprecated GTK_OBJECT macros. This helps to build apps with
	  deprecation warnings when using libgnomecanvas.

2008-08-12  Sven Herzberg  <sven@imendio.com>

	Bug 469482 – need to register gailcanvas into a11y type system

	* libgnomecanvas/gailcanvas.c,
	* libgnomecanvas/gailcanvas.h,
	* libgnomecanvas/gnome-canvas.c: properly initialize gail canvas

2008-03-05  Vincent Untz  <vuntz@gnome.org>

	* configure.in: bump version to 2.21.92, even if nothing was released.
	This is need to get gnome-sharp compile some gnome features (it
	checks for a version >= 2.20.x) in jhbuild.

2008-01-22  Tor Lillqvist  <tml@novell.com>

	* libgnomecanvas-zip.in: Look for catalogs in share/locale first,
	as that is where they will end up with a properly built GNU
	gettext.

2007-11-05  Federico Mena Quintero  <federico@novell.com>

	Fix these bugs:
	http://bugzilla.gnome.org/show_bug.cgi?id=493808
	https://bugzilla.novell.com/show_bug.cgi?id=336941

	* libgnomecanvas/gnome-canvas.c (paint): Oops, use the correct
	visible rectangle; we forgot to take the zoom_{x,y}ofs into
	account.  Also, take those offsets into account when generating
	the actual rectangle to be added to the GdkRegion.

2007-08-29  Sven Herzberg  <herzi@gnome-de.org>

	* libgnomecanvas/gailcanvas.c: fix compilation with gcc 2.x (Patch by
	Jens Granseur, fixes #455662)

2007-08-22  Federico Mena Quintero  <federico@novell.com>

	Avoid tearing while repainting.

	* libgnomecanvas/gnome-canvas.c (REDRAW_QUANTUM_SIZE): Renamed
	from IMAGE_{WIDTH, HEIGHT}; use a single value.
	(IMAGE_WIDTH_AA, IMAGE_HEIGHT_AA): Removed.
	(paint): Don't use different redraw quantum sizes for the
	antialiased and non-antialiased case.  Extract big rectangles from
	the microtile array, turn them into a GdkRegion, and *then* expose
	with that region, so that we can repaint without tearing.
	(gnome_canvas_paint_rect): Don't use different redraw quantum
	sizes for the antialiased and non-antialiased case.
	(gnome_canvas_paint_rect): Don't tile the area to paint; instead, draw 
	the complete rectangle in one pass.  The callers already took care of 
	generating appropriate rectangles for us.

============================= 2.19.2 ========================

2007-07-26  Sven Herzberg  <herzi@gnome-de.org>

	* libgnomecanvas/gnome-canvas.c: don't store the focused item in the
	data section of the canvas widget, but in a GObject property of it
	(Patch by Li Yuan, fixes 363103)

============================= 2.19.1 ========================

2007-07-11  Sven Herzberg  <herzi@gnome-de.org>

	* configure.ac,
	* ChangeLog,
	* NEWS,
	* po/ChangeLog: update files for 2.19.1

2007-07-11  Sven Herzberg  <herzi@gnome-de.org>

	* libgnomecanvas/libgnomecanvas-2.0.pc.in: depend on the right gail.pc
	file

============================= 2.19.0 ========================

2007-07-10  Sven Herzberg  <herzi@gnome-de.org>

	* configure.ac,
	* ChangeLog,
	* po/ChangeLog: update files for 2.19.0

2007-06-25  Sven Herzberg  <herzi@gnome-de.org>

	Roll ATK support for GnomeCanvas into libgnomecanvas,
	formerly it was in libgail. Patch by Bill Haneman.
	See bug #363103.

	* configure.in:
	Depend on libgail explicitly, since the ATK support for
	gnome-canvas uses some libgail-util API.

	* libgnomecanvas/gnome-canvas.c:
	(gnome_canvas_init): Register the gail_canvas factory types
	with ATK when GnomeCanvas is first used.

	* libgnomevanvas/gailcanvas.[ch]: New, bootstraps
	ATK support for GnomeCanvas instances and provides
	ATK implementations for GnomeCanvas.

	* libgnomevanvas/gailcanvasitem.[ch]: New, ATK support
	for generic canvas items.

	* libgnomevanvas/gailcanvaswidget.[ch]: New, ATK support
	for canvas internal widgets.
	
	* libgnomevanvas/gailcanvastext.[ch]: New, ATK support
	for canvas text objects.	

	* libgnomevanvas/gailcanvas*factory.[ch]: New,
	factories for creating the above ATK peers on demand,
	that is, when gtk_widget_get_accessible() is called
	on the corresponding GnomeCanvas instances or their
	sub-parts.

2007-06-04  Sven Herzberg  <herzi@gnome-de.org>

	Patch from Li Yuan:

	* libgnomecanvas/gnome-canvas.c: (gnome_canvas_item_grab_focus):
	store the focused item in the "focused_item" object data of the canvas
	(required for gail to drop the dependency on libgnomecanvas)

2007-05-24  Sven Herzberg  <herzi@gnome-de.org>

	Reverting the gail canvas commit to not introduce a circular
	dependency.

2007-05-23  Sven Herzberg  <herzi@gnome-de.org>

	Roll ATK support for GnomeCanvas into libgnomecanvas,
	formerly it was in libgail. Patch by Bill Haneman.
	See bug #363103.

	* configure.in:
	Depend on libgail explicitly, since the ATK support for
	gnome-canvas uses some libgail-util API.
	
	* libgnomecanvas/gnome-canvas.c:
	(gnome_canvas_init): Register the gail_canvas factory types
	with ATK when GnomeCanvas is first used.

	* libgnomevanvas/gailcanvas.[ch]: New, bootstraps 
	ATK support for GnomeCanvas instances and provides
	ATK implementations for GnomeCanvas.

	* libgnomevanvas/gailcanvasitem.[ch]: New, ATK support
	for generic canvas items.
	
	* libgnomevanvas/gailcanvaswidget.[ch]: New, ATK support
	for canvas internal widgets.
	
	* libgnomevanvas/gailcanvastext.[ch]: New, ATK support 
	for canvas text objects.	
	
	* libgnomevanvas/gailcanvas*factory.[ch]: New,
	factories for creating the above ATK peers on demand,
	that is, when gtk_widget_get_accessible() is called
	on the corresponding GnomeCanvas instances or their
	sub-parts.

============================= 2.14.1 ========================

2006-11-27  Sven Herzberg  <herzi@gnome-de.org>

	* docs/reference/tmpl/gnome-canvas.sgml: commiting documentation about
	removing canvas items

2006-11-22  Sven Herzberg  <herzi@gnome-de.org>

	* libgnomecanvas/gnome-canvas-text.c: improved the calculation of the
	bounding box. Fixes bug #155317 (Based on a patch from Roderich
	Schupp)

2006-11-22  Sven Herzberg  <herzi@gnome-de.org>

	* docs/reference/tmpl/gnome-canvas-text.sgml,
	* libgnomecanvas/gnome-canvas-text.c: added some documentation about
	the fact that GnomeCanvasText doesn't zoom. Closes bug #154679
	(Pointed out by Stefan Kost)

2006-11-18  Sven Herzberg  <herzi@gnome-de.org>

	* libgnomecanvas/gnome-canvas.c: added documentation about how to pass
	construct parameters to GnomeCanvasItem implementations. Closes bug
	#156165 (Pointed out by Stefan Kost)

2006-11-17  Sven Herzberg  <herzi@gnome-de.org>

	* src/gnome-canvas-shape.c: changed the get_property() implementation
	for "dash" to return something useful (ArtVpathDash*) and also to be
	consistent with set_property() ('though tis code really sucks as we
	should really use GParamSpecBoxed instead). Closes bug #153585
	(Patch by Peter G. Baum)

2006-11-14  Sven Herzberg  <herzi@gnome-de.org>

	* configure.in: depend on pkg-config 0.18
	* libgnomecanvas/libgnomecanvas-2.0.pc.in: move pango dependencies to
	Requires.private. Closes bug #352196 (Bug reported by Samuel Thibault)

2006-11-12  Sven Herzberg  <herzi@gnome-de.org>

	* demos/Makefile.am: build dash demo
	* demos/dash-demo.c: a demo to demonstrate the dash property
	* libgnomecanvas/gnome-canvas-shape.c: don't allocate too much memory.
	Closes bug #153583 (Patch from Peter G. Baum)

2006-11-10  Kjartan Maraas  <kmaraas@gnome.org>

	* NEWS: Update some.
	* libgnomecanvas/gnome-canvas-text.h: Convert to UTF-8.
	Noticed by Danny Milo. Closes bug #164327.

2006-11-10  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomecanvas/gnome-canvas-shape.c: (gcbp_ensure_mask):
	Fix a typo in a g_object_set_data call. Reported by elubarsky at
	gmail com. Closes bug #355580.

2006-07-11  Sven Herzberg  <herzi@gnome-de.org>

	* libgnomecanvas/gnome-canvas.c: allow group->destroy() to modify
	group->item_list without unleashing hell (developed with Tim Janik)

2006-06-17  Kjartan Maraas  <kmaraas@gnome.org>

	* .cvsignore:
	* Makefile.am:
	* configure.in: Patch from Przemysław Grzegorczyk to
	use po/LINGUAS. Closes bug #338549.

2006-04-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO
	* po/no.po: And the translation.

Tue Apr 11 16:46:20 2006  Tim Janik  <timj@gtk.org>

	* libgnomecanvas/gnome-canvas.c:
	gnome_canvas_set_pixels_per_unit():
	scroll_to(): applied a patch from Sven Herzberg to check hadjustment
	and vadjustment for NULL. the rationale is provided in #305941.

2006-03-24  Gora Mohanty  <gmohanty@cvs.gnome.org>

        * configure.in: Added 'or' (Oriya) to ALL_LINGUAS.

2006-03-21  Vladimer Sichinava  <vlsichinava@gmail.com>

        * configure.in: Added "ka" (Georgian) to ALL_LINGUAS

======================= 2.14.0 ============================

2006-03-13  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Release 2.14.0

2006-02-19  Erdal Ronahi  <erdal.ronahi@gmail.com>

	* configure.in: Added "ku" (Kurdish) to ALL_LINGUAS

2006-01-12  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "zh_HK" to ALL_LINGUAS.

======================= 2.13.0 ============================

2006-01-01  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomecanvas/gnome-canvas-rich-text.c:
	Add missing API docs. Dinoop Thomas. Closes bug #318859.

2006-01-01  Kjartan Maraas  <kmaraas@gnome.org>

	* demos/canvas-fifteen.c: (piece_event):
	* libgnomecanvas/gnome-canvas-bpath.c:
	(gnome_canvas_bpath_set_property):
	* libgnomecanvas/gnome-canvas-line.c: (get_bounds_canvas):
	* libgnomecanvas/gnome-canvas-pixbuf.c:
	(gnome_canvas_pixbuf_update):
	* libgnomecanvas/gnome-canvas-polygon.c:
	(gnome_canvas_polygon_get_property):
	* libgnomecanvas/gnome-canvas-rect-ellipse.c:
	(gnome_canvas_re_class_init), (gnome_canvas_re_destroy):
	* libgnomecanvas/gnome-canvas-rich-text.c: (get_event_coordinates):
	* libgnomecanvas/gnome-canvas-shape.c: (gcbp_ensure_mask):
	* libgnomecanvas/gnome-canvas.c: (item_post_create_setup),
	(gnome_canvas_group_set_property),
	(gnome_canvas_group_get_property), (pick_current_item), (paint):
	Remove a bunch of crufty unused code and compiler warnings.

2005-12-21  Federico Mena Quintero  <federico@ximian.com>

	* libgnomecanvas/gnome-canvas.c (put_item_after): Simplify the
	code and make it correct - it wasn't resetting the item_list_end
	correctly when moving the last item in the list.  Fixes bug #323850.

2005-11-10  Simos Xenitellis  <simos@gnome.org>

	* configure.in: Added Tatar (tt) to ALL_LINGUAS.

2005-11-06  Sven Herzberg  <herzi@gnome-de.org>

	reviewed by: Tim Janik <timj@gtk.org>

	* libgnomecanvas/gnome-canvas.c: added g_object_notify() to allow
	users to connect to the notify::parent signal, closes bug 320791

2005-10-06  Federico Mena Quintero  <federico@ximian.com>

	Merged from the gnome-2-12 branch:

	* libgnomecanvas/gnome-canvas-pixbuf.c
	(gnome_canvas_pixbuf_render): HYPER interpolation is a slow buggy piece of
	shit.  Use BILINEAR.  Fixes bug #129891.

2005-10-07  Danek Duvall <danek.duvall@sun.com>

	* libgnomecanvas/gnome-canvas.h: Cast GNOME_CANVAS_COLOR macros
	to use unsigned ints so that shifting left 24 bits won't overflow
	into the sign bit. Fixes #317718.

Thu Sep  8 10:56:26 2005  Tim Janik  <timj@gtk.org>

	* applied patch from hans de graaff with minor cosmetic fixups.

2005-07-15  Hans de Graaff  <hans@degraaff.org>

        * libgnomecanvas/gnome-canvas-pixbuf.c:
        (compute_viewport_affine): Multiply the width and height with the
        scaling factor when using middle or east anchors so that the new
        position is correctly calculated for width_in_pixels and
        height_in_pixels pixbufs.

========================= 2.12.0 ==========================

2005-09-06  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Release 2.12.0.

2005-08-29  Tor Lillqvist  <tml@novell.com>

	* libgnomecanvas/Makefile.am: No need to install the Win32 import
	library separately, libtool --install does it.

	* libgnomecanvas-zip.in: Include also documentation in the
	developer package.

	* tests/Makefile.am (TESTS_ENVIRONMENT): Fix Makefile variable
	syntax (add parens).

2005-06-07  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added 'gl' to ALL_LINGUAS.

2005-05-24  Kjartan Maraas  <kmaraas@gnome.org>

	* Fix the fix for bug #90259 here too.

2005-05-19  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomecanvas/gnome-canvas-text.c:
	(gnome_canvas_text_class_init): text-height and
	text-width are not writable. Patch from Olivier Andrieu.
	Closes bug 143499.

2005-05-19  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomecanvas/gnome-canvas-pixbuf.c:
	(gnome_canvas_pixbuf_render): Use HYPER for interpolation
	instead of _NEAREST in the gdk-pixbuf related code path.
	Closes bug #129891. Patch from Daniel Llano.

2005-05-19  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomecanvas/gnome-canvas-line.c: (gnome_canvas_line_update):
	Fix a crasher. Patch from Bob Gibbs. Closes bug #127185

2005-05-19  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomecanvas/gnome-canvas-shape.c:
	(gnome_canvas_shape_class_init), (gnome_canvas_shape_get_property):
	Fix bug #126113 - width_units property not readable for shapes.
	Patch from Jean Bréfort.

2005-05-19  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomecanvas/gnome-canvas.c: (gnome_canvas_item_dispose),
	(gnome_canvas_group_destroy), (gnome_canvas_destroy): Disposing
	a canvas group should dispose all of its children. Closes
	bug #90259. Patch from Arjan J. Molenaar.

2005-05-19  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomecanvas/gnome-canvas-rich-text.c:
	(gnome_canvas_rich_text_class_init),
	(gnome_canvas_rich_text_get_bounds): Make
	gnome_canvas_item_get_bounds() work with Rich Text
	items. Patch from Jean Bréfort. Closes bug #99954.

2005-05-19  Kjartan Maraas  <kmaraas@gnome.org>

	reviewed by: Tim Janik 

	* libgnomecanvas/gnome-canvas-bpath.c:
	(gnome_canvas_bpath_class_init), (gnome_canvas_bpath_set_property),
	(gnome_canvas_bpath_get_property):
	* libgnomecanvas/gnome-canvas-path-def.c: (path_def_boxed_copy),
	(gnome_canvas_path_def_get_type):
	* libgnomecanvas/gnome-canvas-path-def.h: Fixes for perl bindings
	Closes bug #116734. Patch from Muppet <scott at asofyet org>

2005-05-11  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomecanvas/gnome-canvas-path-def.c: Fix typo.

2005-05-11  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomecanvas/gnome-canvas.h: Another typo.

2005-05-10  Kjartan Maraas  <kmaraas@gnome.org>

	* docs/reference/tmpl/gnome-canvas-item.sgml: Fix a typo.

2005-03-30  Steve Murphy  <murf@e-tools.com>

	* configure.in: Added "rw" to ALL_LINGUAS.

2005-03-12  Tor Lillqvist  <tml@novell.com>

	* libgnomecanvas-zip.in: New file, to build zipfile distribution
	for Win32.

	* Makefile.am
	* configure.in: Distribute it, expand it.

2005-03-07  Anders Carlsson  <andersca@imendio.com>

	* configure.in: Release 2.10.0

==================== 2.9.2 ===================

2005-02-27  Sebastian Rittau  <srittau@jroger.in-berlin.de>

	* libgnomecanvas/gnome-canvas-text.c:
	(gnome_canvas_text_set_property): g_free() checks whether the supplied
	pointer is not-NULL, removed extraneous check. PROP_ATTRIBUTE: Ref the
	pointer that is supplied to us. Fixes crashes.
	(gnome_canvas_text_set_markup): Free resources only after the debug
	statement. This fixes possible crashes when the markup is wrong.

2005-02-17  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added "xh" to ALL_LINGUAS.

==================== 2.9.1 ===================

2005-01-12  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomecanvas/libgnomecanvas.h: Include gnome-canvas-clipgroup.h.
	Closes bug #140912. Thanks to Ondrej Sury <ondrej at sury org>

2004-12-25  Kjartan Maraas  <kmaraas@gnome.org>

	* demos/canvas-curve.c: (create_canvas_bezier_curve): ANSIfication
	* libgnomecanvas/gnome-canvas.c: (gnome_canvas_group_draw): NULL
	vs 0.

2004-11-08  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Update to 2.9.1

2004-09-19  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "ang" to ALL_LINGUAS.

==================== 2.8.0 ====================

2004-09-13  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.8.0

	* NEWS: Update

=================== 2.7.92 ====================

2004-08-30  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.7.92

2004-08-16  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "bs" to ALL_LINGUAS.

=================== 2.7.91 ====================
	
2004-08-16  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.7.91

2004-08-13  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added nb to ALL_LINGUAS.

2004-07-09  Sven Herzberg  <herzi@gnome-de.org>

	* libgnomecanvas/gnome-canvas-util.h: fixed an error when compiling
	third party software that doesn't include gnome-canvas.h before
	gnome-canvas-util.h

==================== 2.7.1 ====================

2004-05-31  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.7.1

	* NEWS: Update

2004-05-20  Matthias Clasen  <mclasen@redhat.com>

	* docs/reference/libgnomecanvas.types: Include gnome-canvas-clipgroup.h.

2004-05-13  James Henstridge  <james@daa.com.au>

	* configure.in (ACLOCAL_AMFLAGS): set so that aclocal gets called
	with contents of $ACLOCAL_FLAGS environment variable.
	(AC_PROG_YACC): libgnomecanvas doesn't care about yacc
	(PATH_TO_XRDB): or xrdb

2004-05-11  James Henstridge  <james@daa.com.au>

	* configure.in: use AM_GLIB_DEFINE_LOCALEDIR() to define the
	locale directory.
	Use AC_HELP_STRING to format help string for the
	--disable-rebuilds command.

2004-05-05  James Henstridge  <james@daa.com.au>

	* libgnomecanvas/Makefile.am (CLEANFILES): remove
	gnome-canvas-marshal.[ch] on "make clean".

	* tests/Makefile.am (AM_LDFLAGS): change from LDFLAGS, as
	suggested by automake

	* docs/reference/Makefile.am: use gtk-doc.make so that boilerplate
	reference documentation build rules don't need to be maintained
	here.

	* Makefile.am: require automake-1.7.  Enable docs building during
	distcheck.

	* configure.in: update configure script to match more recent
	style.

	* autogen.sh (REQUIRED_AUTOMAKE_VERSION): require Automake 1.7.

=================== 2.6.1.1 ===================

2004-04-20  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Fix soname and release 2.6.1.1

==================== 2.6.1 ====================

2004-04-19  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Version 2.6.1 "Girzby"

	* NEWS: Update

2004-04-16  Iñaki Larrañaga  <dooteo@euskalgnu.org>

	* configure.in: Added "eu" (Basque) to ALL_LINGUAS.

2004-04-09  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

==================== 2.6.0 ====================

2004-03-22  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Version 2.6.0 "Skree"

	* Makefile.am (EXTRA_DIST): Add NEWS

	* NEWS: Update

2004-03-16  Gareth Owen  <gowen72@yahoo.com>

	* configure.in: Added en_GB to ALL_LINGUAS

2004-03-15  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.5.92

2004-03-09  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.5.91

2004-03-04  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

2004-03-04  Glynn Foster  <glynn.foster@sun.com>

	* configure.in, libgnomecanvas/Makefile.am,
	* libgnomecanvas/libgnomecanvas-2.0-uninstalled.pc.in:
	Add uninstalled pkg config file.

2004-02-25  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Added sr@ije to ALL_LINGUAS.

2004-02-24  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.5.90

2004-02-03  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "en_CA" to ALL_LINGUAS.

2004-02-03  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.5.4

2004-01-23  Kjartan Maraas  <kmaraas@gnome.org>

	* demos/canvas-curve.c: Remove trailing commas from enums. Fixes
	portability issues. Patch from "The Written Word". Closes bug #131350.
	* libgnomecanvas/gnome-canvas-bpath.c: Same.
	* libgnomecanvas/gnome-canvas-polygon.c: Same.
	* libgnomecanvas/gnome-canvas-rect-ellipse.c: Same. 
	* libgnomecanvas/gnome-canvas-rich-text.c: Same. 
	* libgnomecanvas/gnome-canvas-shape.c: (gcbp_draw_ctx_unref): Same.

2004-01-21  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomecanvas/gnome-canvas-rich-text.c:
	(gnome_canvas_rich_text_class_init),
	(gnome_canvas_rich_text_get_property): Add _set methods
	for height and width. Fixes bug #112865 and others. Patch
	by Kristian Rietveld <kris at gtk org>

2004-01-14  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.5.3

2003-12-28  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.5.2

2003-12-10  Richard Hult  <richard@imendio.com>

	* docs/reference/libgnomecanvas-docs.sgml: Make this valid xml so
	that gtk-doc doesn't fall back to the old output.

2003-12-08  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.5.1

2003-11-24  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.5.0

2003-10-07  Žygimantas Beručka  <uid0@tuxfamily.org>

	* configure.in: Added "lt" to ALL_LINGUAS

2003-09-11  Jody Goldberg <jody@gnome.org>

	For David Boucher <bouda1@wanadoo.fr>
	* libgnomecanvas/gnome-canvas-path-def.c
	(gnome_canvas_path_def_concat) : A bpath is not of size 1, copy the
	  full path.

2003-09-01  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.4.0

2003-09-01  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ne" to ALL_LINGUAS.

2003-08-31  Laurent Dhima  <laurenti@alblinux.net>

	* configure.in: Added "sq" to ALL_LINGUAS.
	
2003-08-25  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.3.7

2003-08-11  Anders Carlsson  <andersca@codefactory.se>

	* configure.in: Release 2.3.6

2003-08-07  Anders Carlsson  <andersca@codefactory.se>

	* configure.in:
	* docs/reference/Makefile.am:
	* docs/reference/libgnomecanvas-docs.sgml:
	* libgnomecanvas/gnome-canvas.c:
	Generate xml documentation.
	
Fri Aug 01 11:49:34 2003  George Lebl <jirka@5z.com>

	* libgnomecanvas/gnome-canvas.c: Inside the do_update function it is
	  possible that during picking we emitted an event in which the user
	  then called some function which then requested update of something.
	  We thus need to check again if we need to update stuff as without
	  that we'd be left in a state where need_update would have been left
	  TRUE and the canvas would have been left unpainted until another
	  expose event.

2003-07-10  Joel Brich <joel.brich@laposte.net>

	* configure.in: Added "eo" to ALL_LINGUAS.

2003-06-20  Samúel Jón Gunnarsson  <sammi@techattack.nu>

	* configure.in: Added "is" to ALL_LINGUAS

2003-06-16  Taneem Ahmed  <taneem@eyetap.org>

	* configure.in: Added "bn" to ALL_LINGUAS.

2003-06-11  Kenneth Rohde Christiansen  <kenneth@gnu.org>

	* configure.in: Added "li" to ALL_LINGUAS.

2003-05-18  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	Implement general clipping in clipgroup. Fixes bug #104602.
	
	2001-12-06  Lauris Kaplinski  <lauris@kaplinski.com>

	* gnome-canvas-clipgroup.c (gnome_canvas_clipgroup_update): Invoke
	parent method with NULL clippath, recalculate bounding box
	(gnome_canvas_clipgroup_render): Implement, do buffer/buffer
	clipped composition here
	(gcg_buf_new): Quick'n'dirty buffer cache
	(gcg_buf_free): Ditto
	(gcg_mask_new): Ditto
	(gcg_mask_free): Ditto

2003-05-13  Telsa Gwynne  <hobbit@aloss.ukuu.org.uk>

	* configure.in: Added "cy" to ALL_LINGUAS.

2003-05-07  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added "cs" to ALL_LINGUAS.

2003-05-05  Christian Rose  <menthos@menthos.com>

	* configure.in: Added sr and sr@Latn to ALL_LINGUAS.

2003-05-03  Kjartan Maraas  <kmaraas@gnome.org>

	* docs/reference/*: Merged docs from branch.
	* libgnomecanvas/gnome-canvas-util.h: Same here.

2003-05-03  Kjartan Maraas  <kmaraas@gnome.org>

	reviewed by: Tim Janik <timj@gtk.org>

	* libgnomecanvas/gnome-canvas-line.c: (gnome_canvas_line_update):
	Fix for bug #72424. AA Canvas crashes if you create a line that has 
	arrows enabled but not yet any point positions set. Patch from
	Andreas Holzmann <Andreas.Holzmann@epost.de>.
	* libgnomecanvas/gnome-canvas-pixbuf.c: Fix for bug 97604.
	Certain affine transforms do not work for pixbuf items. Patch from
	Jim Evins <evins@snaught.com>.
	(gnome_canvas_pixbuf_render): Same as above.
	* libgnomecanvas/gnome-canvas-shape.c: (gnome_canvas_shape_update):
	Fix for bug #98258. Outline widths of rect, ellipse, and polygon
	items don't rotate. Patch from Jim Evins <evins@snaught.com>

Mon Mar 31 07:21:33 2003  Tim Janik  <timj@gtk.org>

	* libgnomecanvas/gnome-canvas-pixbuf.c:
	(gnome_canvas_pixbuf_update): change update logic to fix redrawing bugs.

2003-03-27  Anders Carlsson  <andersca@codefactory.se>

	* configure.in: Release 2.3.0

2003-03-26  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "yi" to ALL_LINGUAS.

2003-03-21  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "ml" to ALL_LINGUAS

2003-03-19  Paul Duffy <dubhthach@frink.nuigalway.ie>

	* configure.in: Added "ga" to ALL_LINGUAS.

2003-03-06  Sebastian Rittau  <srittau@jroger.in-berlin.de>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_w2c_d): Corrected
	docstring so that "returns" is not the first word on a line.
	* docs/reference/libgnomecanvas-sections.txt: Inserted *Class
	definitions into standard sections. Moved *Priv definitions into
	private sections.
	* docs/reference/libgnomecanvas-docs.sgml: Fixed file include:
	sgml/gnome-canvas-rect-ellipse.sgml -> sgml/gnome-canvas-ellipse.sgml

2003-02-27  Hans Petter Jansson  <hpj@ximian.com>

	* configure.in: Bump to 2.2.0.2.

2003-02-27  Mike Kestner <mkestner@ximian.com>

	* libgnomecanvas/gnome-canvas.c (emit_event): use gdk_event_copy
	  and gdk_event_free to dup the event.

2003-02-27  Hans Petter Jansson  <hpj@ximian.com>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_map): Reinstate the
	idle update handler if necessary.
	(gnome_canvas_request_update_real): No longer assert that we have
	an idle handler when we need an update. Only add the idle handler
	if we're mapped.

2003-02-24  Jody Goldberg <jody@gnome.org>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_request_redraw_uta) :
	  Alex's analysis that need_redraw can be true with idle_id == 0.  If
	  so we need to queue an idle handler or we'll never actually draw
	  anything.  I just hope this does not set up a cycle.

2003-02-21  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" to ALL_LINGUAS.

2003-02-09  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "kn" to ALL_LINGUAS.

2003-02-06  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "id" to ALL_LINGUAS.

2003-01-23  Alexander Larsson  <alexl@redhat.com>

	* libgnomecanvas/Makefile.am (libgnomecanvas_2_la_LDFLAGS):
	Correct version number error.

	* configure.in:
	Add EXTRAVERSION and set to .1
	Added missing languages to ALL_LINGUAS.

2003-01-22  Alexander Larsson  <alexl@redhat.com>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_request_redraw_uta):
	Comment out assert that caused lots of crashes.

2003-01-22  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mn" to ALL_LINGUAS.

2003-01-19  Marius Andreiana <marius galuna.ro>

	* configure.in: added 'ro' to ALL_LINGUAS

2003-01-16  Sebastian Rittau  <srittau@jroger.in-berlin.de>

	* libgnomecanvas/gnome-canvas-shape.c (gnome_canvas_shape_init):
	Initialize shape->priv->scale to 1.0.

2003-01-09  Tor Lillqvist  <tml@iki.fi>

	* configure.in: Similar setup for Win32 build as DLL as in glib
	etc: Call AC_LIBTOOL_WIN32_DLL. Check for native Win32 or Win32
	platform in general (including Cygwin). Set automake conditionals
	OS_WIN32 and PLATFORM_WIN32. Use gcc -mms-bitfields for binary
	compatibility with GTK+ DLLs.
	
	* libgnomecanvas/Makefile.am: [Win32] Use -no-undefined. Install
	import libraries.

	* glade/Makefile.am: [Win32] Use -no-undefined.
		
	* libgnomecanvas/gnome-canvas-util.c
	(gnome_canvas_get_miter_points): Use G_PI and G_PI_2 instead of
	M_PI and M_PI_2.

2003-01-08  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 2.1.90

2002-12-16  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 2.1.5

2002-12-10  Chema Celorio  <chema@celorio.com>

	* configure.in (GETTEXT_PACKAGE): remove autoheader warning

2002-12-09  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 2.1.4

2002-12-09  Artis Trops  <hornet@navigator.lv>

	* configure.in: Added Latvian (lv) to ALL_LINGUAS.

2002-11-27  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 2.1.1

2002-11-10  Ole Laursen  <olau@hardworking.dk>

	* configure.in: Added da to ALL_LINGUAS.

2002-11-09  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS

2002-09-27  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 2.1.0

2002-08-24  Sebastian Rittau  <srittau@jroger.in-berlin.de>

	The following patch needs to go into 2.0.x as well if it doesn't
	break anything.

	* libgnomecanvas/gnome-canvas-shape.c:
	(gnome_canvas_shape_update):
	(gnome_canvas_shape_bounds): Ensure that path is not NULL before
	calling gnome_canvas_path_def_any(). Original patch by Andreas
	Holzmann <Andreas.Holzmann@epost.de>. Bugzilla #74127.

2002-08-23  Federico Mena Quintero  <federico@ximian.com>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_expose): Decompose
	the event's region into rectangles and paint all of them, rather
	than using the much bigger and wasteful event->area.
	(gnome_canvas_request_update_real): Assert for correctness of the
	idle handler versus the update flag.
	(add_idle): Add our idle handler at a priority higher than
	GDK_PRIORITY_REDRAW -- we must compute updates before drawing.
	(gnome_canvas_request_redraw_uta): Assert for correctness of the
	idle handler versus the redraw flag.
	(paint): Don't re-run the update cycle here!

2002-08-19  Gustavo Noronha Silva  <kov@debian.org>

	* configure.in: Added pt_BR (Brazilian) to ALL_LINGUAS.

2002-08-17  Simos Xenitellis  <simos@hellug.gr>

	* configure.in: (ALL_LINGUAS) Added Greek (el).

2002-08-13  Andras Timar  <timar@gnome.hu>

	* configure.in: (ALL_LINGUAS) Added Hungarian (hu).

2002-08-05  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 2.0.2

2002-06-30  Yanko Kaneti  <yaneti@declera.com>

	* configure.in: (ALL_LINGUAS) Added Bulgarian (bg).

2002-06-11  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 2.0.1

2002-06-09  Jordi Mallach  <jordi@sindominio.net>

	* configure.in: Added Catalan (ca) to ALL_LINGUAS.

2002-06-07  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 2.0.0

2002-06-07  Anders Carlsson  <andersca@gnu.org>

	* configure.in:
	* tests/Makefile.am:
	* tests/test-libglade-canvas.c: (main):
	* tests/test-libglade-canvas.glade:
	Update version requirements, check in the glade2 file so we 
	don't have to depend on libglade-convert.
	
2002-05-13  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 1.117.0

2002-05-10  Naba Kumar  <kh_naba@users.sourceforge.net>

	* configure.in: Added "hi" to ALL_LINGUAS.

2002-05-07  Federico Mena Quintero  <federico@ximian.com>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_request_redraw_uta):
	Free the provided microtile array even if we are not drawable.
	Clarified docs.

2002-05-03  Sebastian Rittau  <srittau@jroger.in-berlin.de>

	* libgnomecanvas/gnome-canvas-path-def.c:
	(gnome_canvas_path_def_all_open): Document.
	(gnome_canvas_path_def_all_closed): Fixed typos in doc string.

	* libgnomecanvas/gnome-canvas-util.c:
	(gnome_canvas_update_bbox): Fixed doc string.
	(gnome_canvas_buf_ensure_buf): dito
	* libgnomecanvas/gnome-canvas.c:
	(gnome_canvas_new): dito
	(gnome_canvas_new_aa): dito

	* docs/reference/libgnomecanvas-docs.sgml:
	* docs/reference/libgnomecanvas-sections.txt:
	* docs/reference/tmpl/*.sgml
	Reorganized the chapter structure, gave document a name.

2002-05-02  Federico Mena Quintero  <federico@ximian.com>

	* libgnomecanvas/gnome-canvas.c
	(gnome_canvas_set_pixels_per_unit): If center_scroll_region is
	off, make the upper-left corner of the window the anchor point for
	zooming.

2002-05-01  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Vietnamese (vi) to ALL_LINGUAS

2002-04-29  Anders Carlsson  <andersca@gnu.org>

	* Release 1.116.0

2002-04-25  Jody Goldberg <jody@gnome.org>

	* libgnomecanvas/gnome-canvas-shape.c (gnome_canvas_shape_update_gdk)
	This code looks suspect.
	(gnome_canvas_shape_bounds) : use the right width.

2002-04-22  Anders Carlsson  <andersca@gnu.org>

	* configure.in:
	Release 1.115.0
	
	* Makefile.am:
	* message-of-doom:
	Remove message-of-doom. 
	
2002-04-22  Anders Carlsson  <andersca@gnu.org>

	* libgnomecanvas/gnome-canvas.c (emit_event): Remove this VERY VERY
	annoying warning.

2002-04-17  Federico Mena Quintero  <federico@ximian.com>

	* libgnomecanvas/gnome-canvas-rich-text.c
	(gnome_canvas_rich_text_init): Changed the default of cursor_blink
	to TRUE.

	* */*.[ch]: Replace deprecated GTK+ calls with new ones.

2002-03-28  Jody Goldberg <jody@gnome.org>

	* libgnomecanvas/gnome-canvas-clipgroup.c
	(gnome_canvas_clipgroup_class_init) : assign virtuals _before_ you
	  install properties.  While we're at it lets not use C++ keywords for
	  no reason.
	(gnome_canvas_clipgroup_get_property) : WIND was registered as a uint,
	  not an enum.
	(gnome_canvas_clipgroup_set_property) : ditto.

2002-03-26  Wang Jian  <lark@linux.net.cn>

	* configure.in: Added "zh_CN" to ALL_LINGUAS.

2002-03-26  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Up to 1.114.0 and update requirements.

2002-03-15  Federico Mena Quintero  <federico@ximian.com>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_key): Chain to the
	parent class handler so that bindings work.  Thanks to Dave Camp
	<dave@ximian.com> for pointing this out.

2002-03-15  Jody Goldberg <jody@gnome.org>

	* libgnomecanvas/gnome-canvas-shape.c (gnome_canvas_shape_set_property) :
	  Accept NULL fill/outline gdk colours and give them the same meaning
	  as non-gdk versions.

2002-03-18  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Up to 1.113.0

2002-03-13  Federico Mena Quintero  <federico@ximian.com>

	* libgnomecanvas/gnome-canvas.c
	(gnome_canvas_set_center_scroll_region): New function.
	(gnome_canvas_get_center_scroll_region): New function.
	(scroll_to): Handle the center_scroll_region property.  Copied
	from Alexander Larsson's (alla@lysator.liu.se) code in the
	foocanvas module.
	(gnome_canvas_init): Start with center_scroll_region set to TRUE
	to be compatible with GNOME 1.4.

2002-03-12  Changwoo Ryu  <cwryu@debian.org>

	* configure.in: Added 'ko' to ALL_LINGUAS.

2002-03-05  Christian Meyer  <chrisime@gnome.org>

	* configure.in: Added 'de' to ALL_LINGUAS.

2002-03-04  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 1.112.1

2002-03-03  TÃµivo LeedjÃ¤rv  <leedjarv@interest.ee>

	* configure.in (ALL_LINGUAS): Added et (Estonian).

2002-03-01  Pauli Virtanen  <pauli.virtanen@hut.fi>

	* configure.in (ALL_LINGUAS): Added fi (Finnish).

2002-02-28  Zbigniew Chyla  <cyba@gnome.pl>

	* configure.in (ALL_LINGUAS): Added pl (Polish).

2002-02-25  Darin Adler  <darin@bentspoon.com>

	* glade/glade-canvas.c: Remove unneeded <ctype.h> include. Part
	of my crusade against ctype.h.

2002-02-23  JP Rosevear  <jpr@ximian.com>

	* libgnomecanvas/gnome-canvas-pixbuf.c (compute_viewport_affine):
	properly compute ti_len for NW/W/SW anchors

2002-02-20  Murray Cumming  <murrayc@usa.net>

	* libgnomecanvas.h/gnome-canvas.h:
	Removed gnome_canvas_item_scale() and gnome_canvas_item_rotate()
	because they aren't implemented.

2002-02-19  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 1.112.0

2002-02-18  Gediminas Paulauskas <menesis@delfi.lt>

	* configure.in: remove GNOME_COMMON_INIT, GNOME_PLATFORM_GNOME_2,
	and fix GNOME_COMPILE_WARNINGS macros for latest gnome-common.

2002-02-15  Jody Goldberg <jody@gnome.org>

	* libgnomecanvas/gnome-canvas-widget.c (gnome_canvas_widget_destroy) :
	  handle multiple calls to destroy.

2002-02-11  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 1.111.0

2002-01-29  Lauris Kaplinski  <lauris@ximian.com>

	* libgnomecanvas/gnome-canvas-polygon.c (set_points): Just close path -
	this is safe to do, as path def checks start/end coordinate match and
	appends lineto, if needed

	* libgnomecanvas/gnome-canvas.c (scroll_to): Request full update with affine
	flag set on offset change, as w2c matrix actually changes. Hopefully fixes
	mysterious invisible-until-modified item problem.

2002-01-29  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Up to 1.110.0

2002-01-26  Alexander Larsson  <alla@lysator.liu.se>

	* libgnomecanvas/gnome-canvas.c (put_item_after):
	Shortcut repaint for all calls to put_item_after() that
	doesn't actually modify the child position.

2002-01-24  Alexander Larsson  <alla@lysator.liu.se>

	* libgnomecanvas/gnome-canvas-shape.c (gnome_canvas_shape_get_property):
	Fix typo for PROP_OUTLINE_COLOR_RGBA.

2002-01-24  jacob berkman  <jacob@ximian.com>

	* Makefile.am (SUBDIRS): revert timj patch again

Thu Jan 24 07:12:04 2002  Tim Janik  <timj@gtk.org>

	* libgnomecanvas/gnome-canvas.c (paint): put #ifdef VERBOSE
	around g_print()s.

2002-01-23  Rodrigo Moya <rodrigo@gnome-db.org>

	* Makefile.am: EXTRA_DIST'ed the ChangeLog

	* ChangeLog: merged all ChangeLog's into a single file (except
	po/ChangeLog :-)

2002-01-23  Lauris Kaplinski  <lauris@ximian.com>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_item_get_bounds): Test that xform exists,
	fixes crash

2002-01-21  Anders Carlsson  <andersca@gnu.org>

	* libgnomecanvas/gnome-canvas.c (scroll_to): Remove debug print message.

2002-01-21  Alexander Larsson  <alla@lysator.liu.se>

	* libgnomecanvas/gnome-canvas-clipgroup.c:
	* libgnomecanvas/gnome-canvas-shape.c:
	Update to use the new libart intersector.

2002-01-18 Hasbullah Bin Pit <sebol@ikhlas.com>

	* configure.in: Added 'ms' at ALL_LINGUAS.
	* po/ms.po: Added Malay Translation.

2002-01-17  Lauris Kaplinski  <lauris@ximian.com>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_item_invoke_update): Clean up code a bit,
	mostly to help myself to keep track of affine transformations
	(gnome_canvas_item_invoke_point): Ditto
	(gnome_canvas_item_affine_relative): Ditto
	(gnome_canvas_item_affine_absolute): Ditto
	(do_update): Start updating root with w2c affine
	(scroll_to): Schedule widget redraw if scroll ofsets change - this is not
	the best approach, but IMHO not too bad either, as this can happen only
	if either canvas size or widget size change - not for normal scrolling

2002-01-16  Lauris Kaplinski  <lauris@ximian.com>

	* libgnomecanvas/gnome-canvas-shape.c (gnome_canvas_shape_update): Check for NULL path,
	kill warning by path def
	(gnome_canvas_shape_bounds): Ditto

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_expose): Emit parent class expose event here,
	so widget items get drawn

	* libgnomecanvas/gnome-canvas-widget.c (gnome_canvas_widget_render): Comment everything out,
	or we are creating endless stream of exposes
	(gnome_canvas_widget_draw): Ditto

	* libgnomecanvas/gnome-canvas-util.c (gnome_canvas_update_svp): Clean it up, use rect
	coverage for small SVP-s (is much faster).

2002-01-15  Lauris Kaplinski  <lauris@ximian.com>

	* libgnomecanvas/gnome-canvas-bpath.c (gnome_canvas_bpath_set_property): Use new
	signature for setting path to avoid warning

	* libgnomecanvas/gnome-canvas-polygon.c (set_points): Ditto

	* libgnomecanvas/gnome-canvas-rect-ellipse.c (gnome_canvas_ellipse_update): Ditto
	(gnome_canvas_rect_update): Ditto

	* libgnomecanvas/gnome-canvas-shape.c (gnome_canvas_shape_get_path_def): Signature
	change, check argument
	(gnome_canvas_shape_set_path_def): Ditto

2002-01-14  Lauris Kaplinski  <lauris@ximian.com>

	* libgnomecanvas/gnome-canvas-shape.c (gnome_canvas_shape_update): Free old SVP-s
	in Gdk mode
	(gnome_canvas_shape_point): Just return, if there are no SVP-s,
	flood warnings, if canvas->need_update is set
	(gnome_canvas_shape_bounds): Implement

2002-01-14  Jody Goldberg <jody@gnome.org>

	* libgnomecanvas/gnome-canvas-shape.c (gnome_canvas_shape_set_property) : Here we
	  do need to use gdk_rgb_find_color.

2002-01-13  Jody Goldberg <jody@gnome.org>

	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_get_property) : Use
	  gdk_colormap_query_color not gdk_rgb_find_color.
	* libgnomecanvas/gnome-canvas-line.c (gnome_canvas_line_get_property) : ditto.
	* libgnomecanvas/gnome-canvas-shape.c (get_color_value) : ditto.

2002-01-13  Jody Goldberg <jody@gnome.org>

	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_get_property) : Do not use
	  g_new to allocate (and leak) the color.
	* libgnomecanvas/gnome-canvas-line.c (gnome_canvas_line_get_property) : ditto.
	* libgnomecanvas/gnome-canvas-shape.c (get_color_value) : ditto.
	(gnome_canvas_shape_set_property) : PROP_FILL_COLOR_GDK, colorptr can
	  be NULL.

2002-01-11  Alex Larsson  <alexl@redhat.com>

	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_set_property):
	Set the font description from the gtk context.

2002-01-10  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 1.109.0

2002-01-09  jacob berkman  <jacob@ximian.com>

	* Makefile.am (SUBDIRS): 
	* configure.in: revert removal of libglade support

2002-01-09  Darin Adler  <darin@bentspoon.com>

	* libgnomecanvas/gnome-canvas.c: (emit_event): Remove some dead code.
	(boolean_handled_accumulator): Stolen from gtk.
	(gnome_canvas_item_class_init): Moved down to the bottom of the
	file to avoid having to do so many forward declarations. Also
	changed the "event" signal to use G_SIGNAL_TYPE_STATIC_SCOPE for
	efficiency, and boolean_handled_accumulator for consistency with
	event signals in gtk.

Wed Jan  9 06:02:17 2002  Tim Janik  <timj@gtk.org>

	* libgnomecanvas/gnome-canvas-line.c: fix PROP_FILL_COLOR, PROP_FILL_STIPPLE,
	PROP_WIDTH_PIXELS and PROP_WIDTH_UNITS properties.
	
	* libgnomecanvas/gnome-canvas-shape.c: fix PROP_FILL_STIPPLE, PROP_OUTLINE_STIPPLE,
	PROP_WIND, PROP_DASH, PROP_WIDTH_PIXELS and PROP_MITERLIMIT properties.
	PROP_WIND: eek this is an uint property eventhough ArtSvpWind is
	an enum, but doesn't seem to be exported to the typessystem.
	at least get the value as uint as well.

	* libgnomecanvas/gnome-canvas-shape.c (get_color_value): fix this to use
	the canvas, not the item as widget.
	
	* libgnomecanvas/gnome-canvas-text.c: fix PROP_CLIP_WIDTH, PROP_FILL_COLOR and
	PROP_FILL_STIPPLE properties.
	
	* libgnomecanvas/gnome-canvas.c (gnome_canvas_item_get_property): don't cast a
	NULL object into G_OBJECT().

Sat Jan  5 07:07:08 2002  Tim Janik  <timj@gtk.org>

	* libgnomecanvas/gnome-canvas-shape.c (gnome_canvas_shape_bounds): issue the
	warning only once to avoid flooding program output.

2001-12-29  Mark McLoughlin <mark@skynet.ie>

	* demos/canvas-curve.c: new file.

	* demos/canvas.c, canvas_demo.h: added the bezier curve demo.

2001-12-27  Duarte Loreto <happyguy_pt@hotmail.com>

	* configure.in: Added portuguese to ALL_LINGUAS

2001-12-23  Takayuki KUSANO  <AE5T-KSN@asahi-net.or.jp>

	* configure.in: Added "ja" to ALL_LINGUAS

2001-12-18  Alex Larsson  <alexl@redhat.com>

	* libgnomecanvas/gnome-canvas-shape.c (gnome_canvas_shape_bounds):
	Add g_warning to this unimplemented function.
	
2001-12-18  Alex Larsson  <alexl@redhat.com>

	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_set_property):
	Set the max_width and height properties in set_property instead
	of doing it in update(), since gnome_canvas_text_bounds() needs
	that data.

2001-12-17  Darin Adler  <darin@bentspoon.com>

	* libgnomecanvas/gnome-canvas-rich-text.c: (gnome_canvas_rich_text_update):
	Don't try to update the layout if it wasn't allocated yet.

Wed Dec 12 21:45:08 2001  Tim Janik  <timj@gtk.org>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_class_init): fix canvas::aa
	property. it needs to be CONSTRUCT_ONLY because anti-aliased
	can't be changed after construction. also, this property needs
	to be boolean and not ulong.

2001-12-12  Alexander Larsson  <alla@lysator.liu.se>

	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_set_font_desc):
	Fix the text item redraw error. It was setting the bbox
	without calling gnome_canvas_update_bbox(), so the old bbox
	was never repainted. Solved by removing the bogus recalc_bounds()
	function. That is handled by gnome_canvas_item_request_update()
	anyway.
	

2001-12-11  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Up version to 1.108.0

2001-12-11  Alex Larsson  <alexl@redhat.com>

	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_set_property):
	Unbreak the AA version of the text item. Now it behaves
	just like the non-aa version, it's even got the same bugs.
	None of the bad scaling or rotation is left.

2001-12-10  Alexander Larsson  <alla@lysator.liu.se>

	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_class_init):
	The default value for anchor is actually CENTER.
	(gnome_canvas_text_point): y2 needs log_rect.y, not log_rect.x

2001-12-07 Marc Mulcahy <marc.mulcahy@sun.com>

	* libgnomecanvas/gnome-canvas-rich-text.(ch): Added
	gnome_canvas_rich_text_get_iter_location and
	gnome_canvas_rich_text_get_iter_at_location

2001-12-06  jacob berkman  <jacob@ximian.com>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_get_property): 
	(gnome_canvas_set_property): new functions to se the aa-ness of
	the canvas
	(gnome_canvas_class_init): install an aa property
	(gnome_canvas_new_aa): use the aa property

2001-12-02  Malcolm Tredinnick <malcolm@commsecure.com.au>
	* configure.in, Makefile.am, docs/*: Add the necessary voodoo to
	  build the API docs.

2001-12-02  Anders Carlsson  <andersca@gnu.org>

	* libgnomecanvas/gnome-canvas.h: Remove unused signals from vtable and
	add some padding.

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_item_class_init): Remove signals.
	(emit_event): Don't emit any other signals than "event".

	* libgnomecanvas/gnome-canvas-pixbuf.c (gnome_canvas_pixbuf_draw): Use 
	GDK_PIXBUF_ALPHA_FULL when rendering the pixbuf.

2001-11-28  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Up version to 1.107.0

2001-11-27  jacob berkman  <jacob@ximian.com>

	* configure.in: look for libglade-convert

	* tests/test-libglade-canvas.c: port libglade's test program to
	the canvas to test the canvas glade support

	* glade/glade-canvas.c (glade_module_register_widgets): use the
	new custom property api
	(set_aa): 
	(SET_SCROLL): 
	(set_pixels_per_unit): implement property settings

2001-11-19  Peter Williams  <peterw@ximian.com>

	* libgnomecanvas/gnome-canvas.c: Remove Michael's marshaller from this
	file (approved by him).

	* libgnomecanvas/gnome-canvas-marshal.list: Add the BOOLEAN:BOXED
	marshaller here instead of hard-coding it into gnome-canvas.c.

2001-11-19  Michael Meeks  <michael@ximian.com>

	* libgnomecanvas/gnome-canvas.c (emit_event): remove
	GTK_OBJECT_DESTROYED checks.

2001-11-19  Alex Larsson  <alexl@redhat.com>

	* libgnomecanvas/gnome-canvas-shape.c (gnome_canvas_shape_init):
	Use 10.43 as default miter limit, as this is the default for X11.
	(gnome_canvas_shape_update_gdk, gnome_canvas_shape_update):
	Done use the svps to generate bboxes in non-aa mode. They may
	be slightly different due to rounding to integer coords.
	Use a precision of 0.1 always in art_bez_path_to_vec().

2001-11-18  Alexander Larsson  <alla@lysator.liu.se>

	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_set_property):
	Pass screen dpi to pango_ft2_get_context(), as now needed.
	

2001-11-18  Alex Larsson  <alexl@redhat.com>

	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_set_property):
	Update to new pangoft2 API.

2001-11-19  Michael Meeks  <michael@ximian.com>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_marshal_BOOLEAN__BOXED): impl.
	(gnome_canvas_item_class_init): upd. to use this.

	* libgnomecanvas/libgnomecanvastypes.c: include glib-object.h

2001-11-16  Glynn Foster  <glynn.foster@sun.com>

	* libgnomecanvas/gnome-canvas-line.c: Removed unused variable stoping build.

2001-11-16  Alex Larsson  <alexl@redhat.com>

	* libgnomecanvas/gnome-canvas-line.c (item_to_canvas):
	Move the subtraction by x/y here.
	(gnome_canvas_line_draw): Move subtraction
	of x/y into item_to_canvas, and use it for the
	arrows too.

2001-11-14  Alexander Larsson  <alla@lysator.liu.se>

	* libgnomecanvas/gnome-canvas-shape.c (gnome_canvas_shape_update):
	Revert all my completely bogus bounding box patches.
	Sorry about that.

2001-11-14  Alexander Larsson  <alla@lysator.liu.se>

	* libgnomecanvas/gnome-canvas-line.c (gnome_canvas_line_draw):
	Don't put x and y in the affine transformation. Doing so can
	affect the outcome of the affine transformation in a way so that
	for lines on position near xxx.5 the result is rounded differently.

2001-11-14  Alexander Larsson  <alla@lysator.liu.se>

	* libgnomecanvas/gnome-canvas-shape.c (gnome_canvas_shape_update):
	Add some epsilon to the bounding box before rounding, to
	avoid precision problems.

2001-11-14  Alexander Larsson  <alla@lysator.liu.se>

	* libgnomecanvas/gnome-canvas-shape.c (gnome_canvas_shape_update_gdk):
	Correctly round the coordinates when covertin from the double
	vpath to the integer pixel positions.

2001-11-14  Alex Larsson  <alexl@redhat.com>

	* libgnomecanvas/gnome-canvas-rect-ellipse.c:
	Use 8 bezier curve segment instead of a 4 to draw
	ellipses.

2001-11-13  Alex Larsson  <alexl@redhat.com>

	* libgnomecanvas/gnome-canvas-shape.c (gnome_canvas_shape_update):
	Actually calculate bounding box for shape items.

2001-11-07  jacob berkman  <jacob@ximian.com>

	* glade/glade-canvas.c (canvas_new): simplify by extracting our
	properties, then using glade_standard_build_widget

	* glade/Makefile.am (glademoduledir): install into our prefix
	rather than libglade's

	* configure.in: remove libglade module dir check

2001-11-06  jacob berkman  <jacob@ximian.com>

	* libgnomecanvas/gnome-canvas-rich-text.c (gnome_canvas_rich_text_draw): get it
	to build by passing NULL for widgets

2001-11-06  jacob berkman  <jacob@ximian.com>

	* glade/glade-canvas.c (canvas_new): function to create a canvas,
	as we have to handle some properties glade sets ourselves (ie, aa)
	(glade_module_register_widgets): use new function

2001-10-31  Arjan Molenaar <arjan@xirion.nl>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_set_pixels_per_unit):
	  canvas->scroll_[xy]1 should be added to the canvas coordinate
	  instead of substracted.

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_set_scroll_region):
	  use GtkLayout::[hv]adjustment->value to relocate the canvas.

2001-10-31  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Up version.

2001-10-30  jacob berkman  <jacob@ximian.com>

	* libgnomecanvas/libgnomecanvas-2.0.pc.in (Cflags): 
	* libgnomecanvas/Makefile.am (libgnomecanvasincludedir): use libgnomecanvas-2.0
	rather than gnome-2.0

2001-10-29  jacob berkman  <jacob@ximian.com>

	* configure.in: drop the 2 from the package name, set
	GETTEXT_PACKAGE

	* acconfig.h: set GETTEXT_PACKAGE

2001-10-29  Michael Meeks  <michael@ximian.com>

	* configure.in: depend on the latest gtk+ and pango.

2001-10-26  Michael Meeks  <michael@ximian.com>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_size_allocate): fix changed
	emission similarly.

2001-10-26  Michael Meeks  <michael@ximian.com>

	* glade/glade-canvas.c (glade_module_register_widgets):
	register the canvas widget with the new API.

2001-10-26  Arjan J. Molenaar <A.J.Molenaar@xirion.nl>

	* libgnomecanvas/gnome-canvas.c (scroll_to): fix obscure adjustment / layout
	handling to stop re-draw issues.
	(gnome_canvas_set_pixels_per_unit),
	(gnome_canvas_set_scroll_region): ditto.

2001-10-24  jacob berkman  <jacob@ximian.com>

	* glade/glade-canvas.c: moved from libglade/glade/

	* configure.in: add libglade checks

	* Makefile.am (SUBDIRS): build glade/

2001-10-23  Federico Mena Quintero  <federico@ximian.com>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_request_redraw_uta): Check that the
	widget is drawable before queueing a redraw.

2001-10-22  Havoc Pennington  <hp@redhat.com>

	* libgnomecanvas/gnome-canvas-rich-text.c:
	#define GTK_TEXT_USE_INTERNAL_UNSUPPORTED_API so we don't barf on 
	including the internal headers.

	* libgnomecanvas/gnome-canvas-rich-text.h: Get gtktextlayout.h out of the
	header. gtktextlayout.h is not public.

2001-10-08  Stanislav Visnovsky  <visnovsky@nenya.ms.mff.cuni.cz>

	* configure.in: Added "sk" to ALL_LINGUAS.

2001-10-04  Matt Wilson  <msw@redhat.com>

	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_point): free the iter
	when we're done, plugs a leak.

Tue Sep 25 23:00:43 2001  Jonathan Blandford  <jrb@redhat.com>

	* libgnomecanvas/gnome-canvas-rich-text.c (gnome_canvas_rich_text_draw): modify
	to match change in gtk_text_layout_draw.  Arbitrarily chose
	GTK_WIDGET (item->canvas)->style->text_gc[GTK_STATE_NORMAL] to be
	the cursor_gc.

2001-09-26  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Up version to 1.104.0

2001-09-25  Matt Wilson  <msw@redhat.com>

	* libgnomecanvas/gnome-canvas-line.c (get_bounds): if there are no coordinates,
	the bounding box is 0,0,0,0.  Fixes segfault when points have not
	been set up yet.

2001-09-24  Matt Wilson  <msw@redhat.com>

	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_class_init): revert
	property change, the real bug is:
	(gnome_canvas_text_set_property): here.

2001-09-24  Matt Wilson  <msw@redhat.com>

	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_set_font_desc): free
	text->font_desc, not font_desc.

2001-09-24  Matt Wilson  <msw@redhat.com>

	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_class_init): changed the
	GValue type from g_param_spec_int to g_param_spec_enum for the
	weight property, thus matching pango.

2001-09-21  jacob berkman  <jacob@ximian.com>

	* libgnomecanvas/gnome-canvas-pixbuf.c (gnome_canvas_pixbuf_init): correctly
	initialize priv->anchor to GTK_ANCHOR_NW (like we say the default
	is)

Tue Sep 18 17:19:41 2001  Owen Taylor  <otaylor@redhat.com>

	* libgnomecanvas/gnome-canvas-text.[ch]: Changes to match new PangoFontDescription
	API and to take advantage of the ability for PangoFontDescription
	to be "unset" for all attributes now.

	* libgnomecanvas/gnome-canvas-rich-text.c: Fix for new PangoFontDescription API.

2001-09-20  Frank Belew <frb@ximian.com>

	* configure.in: removed AM_CONDITIONAL(FALSE...), both of them

2001-09-18  Anders Carlsson  <andersca@gnu.org>

	* COPYING.LIB: Add this file.

	* Makefile.am (EXTRA_DIST): Add COPYING.LIB

2001-09-15  Alexander Larsson  <alla@lysator.liu.se>

	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_set_property):
	Always call gnome_canvas_item_request_update (item)

2001-09-14  Alexander Larsson  <alla@lysator.liu.se>

	* libgnomecanvas/gnome-canvas-pixbuf.c (gnome_canvas_pixbuf_render):
	Use NEAREST scaling to be consistant with the rotated case.

2001-09-13  Havoc Pennington  <hp@redhat.com>

	* autogen.sh (srcdir): remove more CERTIFIED_GNOMIE bullshit, 
	George didn't shovel it all. ;-)

Tue Sep 04 16:42:30 2001  George Lebl <jirka@5z.com>

	* configure.in: remove CERTIFIED_GNOMIE bullshit

2001-09-13  Alex Larsson  <alexl@redhat.com>

	* libgnomecanvas/gnome-canvas-pixbuf.c (gnome_canvas_pixbuf_render):
	Use gdk-pixbuf to render pixbufs when affine is rectilinear.

2001-09-12  Jonathan Blandford  <jrb@redhat.com>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_init): change dither to be MAX.

2001-09-11  Anders Carlsson  <andersca@gnu.org>

	* libgnomecanvas/gnome-canvas-rich-text.c (gnome_canvas_rich_text_add_tag): #if 0 out
	unused function.

2001-09-10  Frank Belew  <frb@ximian.com>
	* libgnomecanvas/Makefile.am: remove -Wno-unused since it is GCC only

2001-09-10  Alex Larsson  <alexl@redhat.com>

	* libgnomecanvas/libgnomecanvas/libgnomecanvastypes.c (gnome_canvas_points_get_type):

	Update to new g_boxed_type_register_static() API

2001-09-06  Anders Carlsson  <andersca@gnu.org>

	* libgnomecanvas/libgnomecanvas-2.0.pc.in (Cflags): Change includedir to be
	gnome-2.0/ instead of gnome/2/

	* libgnomecanvas/Makefile.am (libgnomecanvasincludedir): Change includedir to be
	gnome-2.0/ instead of gnome/2/ and moved libgnomecanvas.h into
	libgnomecanvas/

2001-09-04  Richard Hult  <rhult@codefactory.se>

	* configure.in: Bumped version number to 1.103.0.

2001-09-04  Anders Carlsson  <andersca@gnu.org>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_init): Disable gtk+ double buffering
	since the canvas does its own.

2001-09-03  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added zh_TW to ALL_LINGUAS.

2001-09-02  Anders Carlsson  <andersca@gnu.org>

	* libgnomecanvas/gnome-canvas-text.c: (gnome_canvas_text_init),
	(gnome_canvas_text_destroy), (gnome_canvas_text_set_property),
	(gnome_canvas_text_render):
	* libgnomecanvas/gnome-canvas-text.h:
	Make C++ safe by replacing "private" with "priv".

Fri Aug 31 04:30:27 2001  George Lebl <jirka@5z.com>

	* libgnomecanvas/gnome-canvas-rich-text.c: Adapt to new GtkTextBuffer API changes,
	  and fix switch statement warnings

2001-08-27  Michael Meeks  <michael@ximian.com>

	* libgnomecanvas/gnome-canvas-pixbuf.c (gnome_canvas_pixbuf_class_init),
	(gnome_canvas_pixbuf_set_property, gnome_canvas_pixbuf_get_property),
	(compute_viewport_affine): kill duff x_set / y_set things:
	totaly broken. Now pixbufs position correctly. The _set thing
	only makes sense for width / height.

2001-08-27  Michael Meeks  <michael@ximian.com>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_request_redraw_uta): 
	fix strange rendering bug - split out 
	(get_visible_region): this.
	(gnome_canvas_request_redraw): use it here too.
	Redrews after zooming are strangely broken as well; doh.

	* libgnomecanvas/Makefile.am: fixup marshal generation to be less broken,
	from Darin's work.

2001-08-27  Michael Meeks  <michael@ximian.com>

	* demos/canvas-primitives.c (key_press): flag when we
	handle a keypress so focus works.

2001-08-27  Michael Meeks  <michael@ximian.com>

	* configure.in: find glib-genmarshal

Wed Aug 15 11:55:09 2001  Tim Janik  <timj@gtk.org>

	* configure.in: require automake 2.13.

2001-08-25  Darin Adler  <darin@bentspoon.com>

	* libgnomecanvas/Makefile.am: Remove excessive -I options.

2001-08-25  Darin Adler  <darin@bentspoon.com>

	* demos/Makefile.am: Remove excessive -I options.
	* demos/canvas-primitives.c: Change one include to work without
	a special -I option.

2001-08-21  Anders Carlsson  <andersca@gnu.org>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_button): if there's an active
	pointer grab, dispatch the event even if the window is different.
	fixes stuck grabs when using dnd from canvas items.
	(Taken from a patch to stable gnome-libs which Chris Toshok did)
	
Wed Aug 15 12:54:58 2001  Tim Janik  <timj@gtk.org>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_class_init): fix signal creation by
	announcing GnomeCanvasBuf* argument as G_TYPE_POINTER, since
	it'S not wrapped as a boxed type.

2001-08-14  Martin Baulig  <baulig@suse.de>

	* libgnomecanvas/gnome-canvas-rich-text.h (GnomeCanvasRichText): Privatized
	all the fields.

2001-08-14  Martin Baulig  <baulig@suse.de>

	Released libgnomecanvas 1.102.0 "Roswell".

	* configure.in: Bumped version number to 1.102.0.

2001-08-14  Darin Adler  <darin@bentspoon.com>

	Roll in some more desirable fixes from the stable branch.

	2001-02-11  Rusty Conover  <rconover@zootweb.com>

	* gnome-canvas-line.c (gnome_canvas_line_set_arg): Added fix for
	when the color of a line changes the SVP's of the arrowheads also
	change color.  They didn't change color before.

	2000-05-01  Iain Holmes  <ih@csd.abdn.ac.uk>

	* gnome-canvas-widget.c (gnome_canvas_widget_render)
	(gnome_canvas_widget_draw): New functions to queue a widget redraw
	when the item is redrawn.
	(gnome_canvas_widget_class_init): Connect the render and draw
	functions to the item.

	2000-02-15  Federico Mena Quintero  <federico@helixcode.com>

	* gnome-canvas-line.c (get_points): New function to copy the list
	of the line's points without the endpoint adjustments for
	arrowheads.  Based on a patch by Rusty Conover <rconover@zootweb.com>.
	(gnome_canvas_line_get_arg): Use get_points().

2001-08-13  Darin Adler  <darin@bentspoon.com>

	Roll in some desirable fixes from the stable branch:

	2000-05-05  Miguel de Icaza  <miguel@helixcode.com>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_new_aa): New policy.  Most of the
	problems on the gnome-canvas-aa can be fixed.  So instead of
	scaring off people with the AA canvas, we will address their needs
	as the bug reports arrive.  

	Discussed this with Federico today.
	
	2000-04-23  Iain Holmes  <ih@csd.abdn.ac.uk>

	* libgnomecanvas/gnome-canvas.c (item_post_create_setup): Redraw +1 pixel on both
	x and y axis.
	(redraw_if_visible): Same
	(gnome_canvas_item_show): Same
	(gnome_canvas_item_hide): Same

	2000-02-15  Federico Mena Quintero  <federico@helixcode.com>

	* libgnomecanvas/gnome-canvas.c (uta_union_clip): New function to create the
	union of two microtile arrays while clipping the result to a given
	rectangle.  This is based on a wonderful problem analysis and
	patch by Michael Meeks <michael@helixcode.com>.  He deserves a
	beer.
	(gnome_canvas_request_redraw_uta): Use uta_union_clip().  Now we
	only queue redraws of microtile arrays clipped against the canvas
	visible area.  This *is* the right thing to do.
	(gnome_canvas_set_pixels_per_unit): No longer clear the redraw
	area before scrolling/thawing.  This hack can rest in peace now.

	2000-02-15  Christopher James Lahey  <clahey@helixcode.com>

	* libgnomecanvas/gnome-canvas.c (emit_event): Fixed a bug where GDK_FOCUS_CHANGE
	events weren't being dispatched properly.

	2000-01-06  Federico Mena Quintero  <federico@helixcode.com>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_group_bounds): Do update the child
	pointer when we walk the list.  Thanks to Richard Hult for
	pointing this out.

2001-08-13  Darin Adler  <darin@bentspoon.com>

	* libgnomecanvas/gnome-canvas.h:
	* libgnomecanvas/gnome-canvas.c: (gnome_canvas_item_grab):
	Use GDK's grab constants, not the raw ones from X.

2001-08-13  Darin Adler  <darin@bentspoon.com>

	* libgnomecanvas/Makefile.am: Generate marshal files.
	* libgnomecanvas/.cvsignore: Ignore generated marshal files.
	* libgnomecanvas/gnome-canvas-marshal.list: New file with the one marshal we need.
	
	* libgnomecanvas/gnome-canvas.h: Add gnome_canvas_set_dither and
	gnome_canvas_get_dither from the stable branch. Add signals to
	allow control of background. Remove obsolete
	gnome_canvas_group_child_bounds.
	* libgnomecanvas/gnome-canvas.c: Remove obsolete gnome_canvas_group_child_bounds.
	(gnome_canvas_class_init): Set up new signals.
	(gnome_canvas_init): Set up default dither.
	(paint): Use the new render_background and draw_background signals
	to paint the background.
	(gnome_canvas_draw_background): New default handler for
	draw_background signal.
	(gnome_canvas_set_dither), (gnome_canvas_get_dither): Added.

	* libgnomecanvas/gnome-canvas-line.c: (gnome_canvas_line_set_property),
	(gnome_canvas_line_update): Removed OLD_XFORM code.
	
	* libgnomecanvas/gnome-canvas-rich-text.c: Fix a lot of warnings.
	(gnome_canvas_rich_text_render): Do a g_warning instead of just
	quietly not drawing anything for the antialiased case.
	
	* libgnomecanvas/gnome-canvas-text.c: (recalc_bounds): Remove use of obsolete
	gnome_canvas_group_child_bounds.
	* libgnomecanvas/gnome-canvas-widget.c: (recalc_bounds): Remove use of obsolete
	gnome_canvas_group_child_bounds.

2001-08-12  Joe Shaw  <joe@ximian.com>

	* libgnomecanvas/gnome-canvas-rich-text.c: Clean up the #includes. Change
	references to g_signal_connect_data() to g_signal_connect(). Remove
	the remainder of the test code.

2001-08-12  Joe Shaw  <joe@ximian.com>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_class_init): Reference the correct
	function pointer in the class structure when creating signals for
	the various event types.

2001-08-11  Martin Baulig  <baulig@suse.de>

	* libgnomecanvas/Makefile.am: Added gnome-canvas-rich-text.[ch].

	* libgnomecanvas/libgnomecanvas.h: #include <libgnomecanvas/gnome-canvas-rich-text.h>.

	* libgnomecanvas/gnome-canvas-rich-text.c (main): Removed, moved it into the canvas_demo.

2001-08-11  Martin Baulig  <baulig@suse.de>

	* libgnomecanvas/gnome-canvas-rich-text.[ch]: Added Joe Shaw's editable canvas text.
	

2001-08-11  Martin Baulig  <baulig@suse.de>

	* demos/canvas-rich-text.c: New file.

	* demos/canvas.c: Added the rich text demo

Thu Jun 28 14:07:57 2001  Jonathan Blandford  <jrb@redhat.com>

	* demos/canvas-primitives.c (setup_curves): ifdefed out dead code to
	make build with -Werror.

2001-08-11  Martin Baulig  <baulig@suse.de>

	* configure.in: Bumped version number to 1.96.2.

2001-08-06  Michael Meeks  <michael@ximian.com>

	* Version 1.96.1

2001-08-06  Michael Meeks  <michael@ximian.com>

	* configure.in: use GLIB_GNU_GETTEXT, depend on a
	recent libart_lgpl.

	* Makefile.am: kill intl.

2001-07-31  Michael Meeks  <michael@ximian.com>

	* libgnomecanvas/configure.in: Version 1.96.1

2001-07-30  Michael Meeks  <michael@ximian.com>

	* libgnomecanvas/gnome-canvas-widget.c (gnome_canvas_widget_class_init): upd.
	(gnome_canvas_widget_translate): kill.

	* libgnomecanvas/gnome-canvas-line.c (gnome_canvas_line_translate): kill.
	(recalc_bounds): ditto.

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_request_update): impl using
	a virtual method.
	(gnome_canvas_request_update_real): impl here.
	(gnome_canvas_class_init): hook up here.

	* libgnomecanvas/gnome-canvas.h (GnomeCanvasClass): Remove deprecated 'translate'
	virtual method.

	* libgnomecanvas/gnome-canvas.c: kill OLD_XFORM code around the place.

2001-07-14  Martin Baulig  <baulig@suse.de>

	* configure.in: Use PKG_CHECK_MODULES.

2001-07-13  Darin Adler  <darin@bentspoon.com>

	* configure.in: Remove duplicate macros.

2001-07-11  Lauris Kaplinski  <lauris@ximian.com>

	* libgnomecanvas/gnome-canvas-rect-ellipse.c (gnome_canvas_ellipse_update): Create
	4-segment bpath instead of 90-segment vpath

	* libgnomecanvas/gnome-canvas-shape.c (gnome_canvas_shape_ensure_gdk_points): New function
	(gnome_canvas_shape_update_gdk): Fixed bug allocating as many points as
	there was bpaths, use dynamic growing instead.
	Also fixed adding open paths to wrong list and drawing as polygon

	* libgnomecanvas/gnome-canvas-shape-private.h: Added len_points member to Gdk structure

2001-07-07  Christian Rose  <menthos@menthos.com>

	* configure.in: Added sv to ALL_LINGUAS.

2001-07-04  Michael Meeks  <michael@ximian.com>

	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_class_init):
	s/GTK_TYPE_PANGO_FONT_DESCRIPTION/PANGO_TYPE_FONT_DESCRIPTION/

Mon Jul  2 06:53:24 2001  Tim Janik  <timj@gtk.org>

	* libgnomecanvas/gnome-canvas.c: s/shutdown/dispose/ according to recent
	GObject changes.

2001-06-28  Michael Meeks  <michael@ximian.com>

	* libgnomecanvas/gnome-canvas-path-def.c (gnome_canvas_path_def_closepath): 
	fix a broken asumption that realloc will not move the memory.

2001-06-28  Michael Meeks  <michael@ximian.com>

	* demos/canvas.c (main): make -lefence link.

2001-06-28  Cody Russell  <bratsche@gnome.org>

	* libgnomecanvas/gnome-canvas-text.c: #include <string.h> to avoid warning.

Tue Jun 26 12:49:35 2001  Tim Janik  <timj@gtk.org>

	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_destroy): only free
	text->private->bitmap.buffer if text->private!=NULL, as a comment
	in this function says, ::destroy may be run multiple times.

Tue Jun 26 12:14:31 2001  Tim Janik  <timj@gtk.org>

	* libgnomecanvas/libgnomecanvas-2.0.pc: add missing -I include directive in
	CFlags, so third-party code compiles.
	
	* libgnomecanvas/gnome-canvas-shape.c (gnome_canvas_shape_point): put a on-shot
	FIXME warning here for shape->priv->fill_set == TRUE &&
	shape->priv->fill_svp == NULL and avoid segfaulting in user-code.

Tue Jun 26 11:29:54 2001  Tim Janik  <timj@gtk.org>

	* libgnomecanvas/libgnomecanvas-2.0.pc.in (Requires): fix deps, we actually require
	pangoft2 and not libgnome-2.0.

2001-06-26  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added ta to the languages list.

2001-06-25  Rusty Conover <rconover@bangtail.net>

	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_destroy,
	gnome_canvas_text_init): Added code to handle cached Pango text
	bitmaps.

	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_set_property: Added code
	to mark the cached Pango bitmap of the text as dirty causing it to
	be rerendered the next time the item's render method is invoked.

	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_render): A bunch of
	changes:

	First, a change to allow caching of Pango's rendering of the text
	so it need not be rerendered everytime.  This makes rendering
	large amounts of text much faster in AA mode.

	Second, the method of clipping of text was changed so that the
	Pango's rendering buffer is sized the same as the clip rectangle
	if enabled.  If clipping is enabled an offset is also applied to
	the text's rendering to reflect the anchor of the clipping
	rectangle.  

	Third, I made the item respect the anchor argument in AA mode and
	be generally more sane with its positioning as pointed out by Tim
	Janik <timj@gtk.org>.  Also made the item respect the anchor
	offset parameters.  Neither of these properties were getting their
	proper respect, but I think they are a little bit closer to
	working correctly now, maybe.

	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_point): Changed this
	method in attempt to make it actually function.  It seems to work
	better now.
	
	* libgnomecanvas/gnome-canvas-text.h: Added GnomeCanvasTextPrivate which is a
	private structure to store the cached rendering of the text done
	by Pango.  This speeds up the rendering method signifigantly for
	large amounts of text. Since the text need not be rerasterized by
	Pango since it is cached; only the item rgba affine need be
	applied to the cached bitmap.

2001-06-25  Jens Finke <jens@gnome.org>

	* libgnomecanvas/gnome-canvas-bpath.h, gnome-canvas-clipgroup.h,
	gnome-canvas-line.h, gnome-canvas-path-def.h,
	gnome-canvas-pixbuf.c, gnome-canvas-polygon.h,
	gnome-canvas-rect-ellipse.h, gnome-canvas-shape-private.h,
	gnome-canvas-shape.h, gnome-canvas-text.h, gnome-canvas-widget.h:
	Removed deprecated includes, use G_BEGIN_DECLS instead of
	GNOME_BEGIN_DECLS. Prefixed package headers with libgnomecanvas/
	where they get included.

2001-06-20  Rusty Conover  <rconover@bangtail.net>

	* libgnomecanvas/This is the start of the changes to convert most shape items to
	using GnomeCanvasShapeItem, which is essentially a Bezier path
	item.  Now shapes will only need to construct bezier paths and
	inherit the rest of the behavior from the GnomeCanvasShapeItem.

	* libgnomecanvas/gnome-canvas-shape.h gnome-canvas-shape-private.h
	gnome-canvas-shape.c: Added for implmenation of
	GnomeCanvasShapeItem which is a generic Bezier path item, but
	allows easy subclassing for shapes.
	
	* libgnomecanvas/gnome-canvas-bpath.[c|h]: Moved this object to using the
	GnomeCanvasShapeItem.  Removed a bunch of duplicate code.
	
	* libgnomecanvas/gnome-canvas-polygon.[c|h]: Modified this object to use the
	GnomeCanvasShapeItem.  Again removed a bunch of duplicate code
	eliminated since it is implemented in the shape item.
	
	* libgnomecanvas/gnome-canvas-rect-ellipse.[c|h]: Modified this object to use the
	GnomeCanvasShapeItem.
	
	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_set_properties): Fixed
	the stipple parameters handling.
	
	* libgnomecanvas/gnome-canvas-bpath-private.h: Removed as it is no longer used.
	
	* libgnomecanvas/libgnomecanvas.h: Added gnome-canvas-bpath.h to the list of
	default includes since bpaths are quite popular.
		
	* libgnomecanvas/Miscellaneous makefile fixes so that the module passes make
	distcheck.
	

2001-06-20  Rusty Connover  <rconover@gnome.org>

	* demos/canvas-primitives.c (setup_curves): Added initial bpath test,
	which causes some errors in gdk mode so it is currently disabled.
	This is a good test case for fixing the breakage since it is only
	caused in gdk mode rather then aa canvas.

2001-06-19  HÃ©ctor GarcÃ­a Ãlvarez <hector@scouts-es.org>

	* configure.in: added "es" for Spanish to $ALL_LINGUAS
	

2001-06-18  Cody Russell  <bratsche@gnome.org>

	* libgnomecanvas/gnome-canvas.[ch]: Added some new signals to GnomeCanvasItem.

2001-06-17  Lauris Kaplinski  <lauris@ximian.com>

	* libgnomecanvas/gnome-canvas-path-def.c (gnome_canvas_path_def_copy): Free dst->bpath
	only for non-static paths.
	Lots of typo and other small fixes for inline docs

2001-06-17    <rconover@gnome.org>

	* libgnomecanvas/gp-path.c gp-path.h: Removed since they are now replaces with
	gnome-canvas-path-def.c and gnome-canvas-path-def.h.  Applied this
	renaming change to the rest of the module and removed the
	appropriate files from cvs.

2001-06-16  Rusty Conover  <rconover@gnome.org>

	* libgnomecanvas/gnome-canvas-text.c (gnome_canvas_text_set_property): Got the
	text item to play nicely with Pango to render text in AA mode.
	Just a simple change of a gchar * to a PangoLanguage *.

2001-06-16  Cody Russell  <bratsche@gnome.org>

	* libgnomecanvas/gnome-canvas-clipgroup.[ch]: Installed.

2001-06-13  Martin Baulig  <baulig@suse.de>

	* libgnomecanvas/Makefile.am: Install libgnomecanvas.h in `$(includedir)/gnome/2' to make it
	consistent with Bonobo.

	* libgnomecanvas/libgnomecanvas.h: You now use #include <libgnomecanvas.h> to get this.

2001-06-11  Cody Russell  <bratsche@gnome.org>

	* libgnomecanvas/gnome-canvas-rect-ellipse.c: Don't cast the RectEllipse to GtkWidget.  Use
	item->canvas instead.  I think this will be correct.

	* libgnomecanvas/gnome-canvas-text.c: Fix some weird Pango issues with 
	gnome_canvas_text_set_property ().

2001-06-11  Cody Russell  <bratsche@gnome.org>

	* libgnomecanvas/Makefile.am: Updates for GnomeCanvasBpath.

	* libgnomecanvas/gnome-canvas-pixbuf.c: Fixed some weird switch/enum warnings
	by adding default: tag to the switch.

	* libgnomecanvas/gnome-canvas-text.c: Fixed some weird switch/enum warnings
	by adding default: tag to the switch.

	* libgnomecanvas/gnome-canvas-widget.c: Fixed some weird switch/enum warnings
	by adding default: tag to the switch.

	* libgnomecanvas/gnome-canvas-bpath.[ch]: Added.

	* libgnomecanvas/gnome-canvas-bpath-private.h: Added.

	* libgnomecanvas/gp-path.[ch]: Added. (possibly temporarily).

2001-06-11  Cody Russell  <bratsche@gnome.org>

	* demos/canvas-primitives.c: #include <strlen.h>

2001-06-04  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added tr to the languages list.

2001-06-02  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Azeri and Walloon to ALL_LINGUAS

2001-05-30  Christophe Merlet  <redfox@eikonex.org>

	* configure.in: Added fr to $ALL_LINGUAS.

2001-05-21  Joe Shaw  <joe@ximian.com>

	* libgnomecanvas/gnome-canvas.c (emit_event): Use the focused item if we are
	emitting a GDK_FOCUS_CHANGE event so that the proper item is passed
	to the signal emission. Matches behavior on the stable branch 
	(rev 1.93.4.6).

2001-05-21  Joe Shaw  <joe@ximian.com>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_item_grab_focus): Emit a
	GDK_FOCUS_CHANGE event in the newly focused canvas item. Matches
	behavior on the stable branch (rev 1.93.4.7).

2001-05-18  Joe Shaw  <joe@ximian.com>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_key): Remove an assertion that
	prevents events (notably key events) from getting to the canvas item.
	Matches behavior on the stable branch.

2001-05-06  ERDI Gergo  <cactus@cactus.rulez.org>

	* libgnomecanvas/gnome-canvas-text.[ch]: new 'scale' property that does 
	post-font-size-setting scaling of font size

2001-05-05  ERDI Gergo  <cactus@cactus.rulez.org>

	* libgnomecanvas/gnome-canvas-text.[ch]: new properties:
	text_markup: the text of the canvas item, with inline Pango markup
	tags
	attributes: A read/writeable Pango attribute list of the rendered
	text

	style, variant, weight, stretch, size, size_points: atomic font 
	properties
	style_set, variant_set, weight_set, stretch_set, size_set: toggles
	usage of font parameters on a per-parameter basis

	underline, strikethrough, rise: atomic attribute elements
	underline_set, strikethrough_set, rise_set: toggles usage of
	attribute elements on a per-element basis
	

2001-04-29  Martin Baulig  <baulig@suse.de>

	* libgnomecanvas/libgnomecanvastypes.c (libgnomecanvas_init): Removed.
	(gnome_canvas_points_get_type): New function.

	* libgnomecanvas/libgnomecanvas.h (GNOME_TYPE_CANVAS_POINTS): #define this
	to gnome_canvas_points_get_type().

	* libgnomecanvas/libgnomecanvas-boxed.defs: Removed.

	* libgnomecanvas/Makefile.am: Don't create the type stuff from gnome-makeenums.pl
	and gnome-maketypes.awk.

2001-04-29  Martin Baulig  <baulig@suse.de>

	* configure.in: Don't check for gnome-maketypes.pl and
	gnome-maketypes.awk and make-inline-pixbufs.

2001-04-21  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added nn and no to ALL_LINGUAS.
	

2001-04-19  Michael Meeks  <michael@ximian.com>

	* libgnomecanvas/gnome-canvas.c (gnome_canvas_item_shutdown): this
	has to be capable of being called twice, for whatever reason.
	stop xform being double freed.

2001-04-19  Michael Meeks  <michael@ximian.com>

	* configure.in: remove GTK_VERSION check.

2001-04-18  Michael Meeks  <michael@ximian.com>

	* libgnomecanvas/libgnomecanvastypes.c (libgnomecanvas_types_init): rename to
	(libgnomecanvas_init): this.

	* libgnomecanvas/Makefile.am: remove libgnomecanvas-init.c

	* libgnomecanvas/libgnomecanvas-init.c: move into libgnomeui/gnome-canvas-init.c

	* libgnomecanvas/libgnomecanvas.h: strip out gnome-program cruft.

	* libgnomecanvas/Makefile.am: remove libgnomebase bits.
	(libgnomecanvas_2_la_SOURCES): add internal header:

	* libgnomecanvas/gnome-canvas-i18n.h: add.

2001-04-18  Michael Meeks  <michael@ximian.com>

	* configure.in: remove libgnomebase dependency.

	* *.[ch]:
	
	s/\#include[ \t]*<libgnomebase\/gnome-defs.h>//;
	s/BEGIN_GNOME_DECLS/G_BEGIN_DECLS/g;
	s/END_GNOME_DECLS/G_END_DECLS/g;

2001-04-15  Martin Baulig  <baulig@suse.de>

	* libgnomecanvas/libgnomecanvas-init.c (gtk_module_info): Depend on libgnomebase,
	not libgnome.

2001-04-15  Martin Baulig  <baulig@suse.de>

	* configure.in: Depend on libgnomebase, not libgnome.

2001-04-12  Martin Baulig  <baulig@suse.de>

	* libgnomecanvas/libgnomecanvas.c: Added GTK+ arg parsing code from gnome-init.c
	here and improved and cleaned the code a bit.

	* libgnomecanvas/libgnomecanvas.h (gtk_module_info): Added external declaration.

2001-04-12  Martin Baulig  <baulig@suse.de>

	* libgnomecanvas/libgnomecanvas.h: #include all of the canvas header files.

	* libgnomecanvas/libgnomecanvas-init.c: Initialize GTK+.

2001-04-12  Martin Baulig  <baulig@suse.de>

	* libgnomecanvas/libgnomecanvas-init.c: New file.
	(libgnomecanvas_module_info): New global variable; this is the
	`GnomeModuleInfo' structure to initialize this module.

	* libgnomecanvas/libgnomecanvastypes.c (gnome_canvas_type_init): Renamed to
	libgnomecanvas_types_init().

	* libgnomecanvas/libgnomecanvas.h: Added external declaration for
	`libgnomecanvas_module_info' and function prototype for
	libgnomecanvas_types_init().

	* libgnomecanvas/libgnomecanvas.h: New header file.
	It #includes <libgnomecanvas/gnome-canvas.h> and
	<libgnomecanvas/gnome-canvas-util.h>.

2001-04-12  Martin Baulig  <baulig@suse.de>

	* libgnomecanvas/libgnomecanvastypes.c: Migrate to GObject.

2001-04-12  Martin Baulig  <baulig@suse.de>

	* demos/toroid.png: New file; moved here from gnome-libs/test-gnome.
	There's a GNOME_LIBS_MODULE_SPLIT tag which points to the latest
	version in gnome-libs.

2001-04-12  Martin Baulig  <baulig@suse.de>

	* demos/canvas-arrowhead.c (highlight_box): Use gdk_cursor_new() instead
	of gnome_stock_cursor_new().

	* demos/canvas-primitives.c (item_event): Use gdk_cursor_new() instead
	of gnome_stock_cursor_new().
	(setup_text): Mark this function as G_GNUC_UNUSED.

	* demos/canvas-fifteen.c (test_win): Comment out gnome_dialog() stuff
	for the moment.

	* demos/canvas.c (create_canvas): Create a toplevel GtkWindow instead of
	using GnomeApp.
	(main): Provide main() function.

	* demos/canvas_demo.h: New file.

2001-04-12  Martin Baulig  <baulig@suse.de>

	* demos/Makefile.am: New file.

	* demos/canvas-arrowhead.c, canvas-features.c, canvas-fifteen.c,
	canvas-primitives.c, canvas.c: New files; moved here from
	gnome-libs/test-gnome. There's a GNOME_LIBS_MODULE_SPLIT tag
	which points to the latest version in gnome-libs.


2001-04-12  Martin Baulig  <baulig@suse.de>

	* demos/: New directory.

	* configure.in (GTK_VERSION): AC_SUBST this to the current
	GTK+ version.

2001-03-24  Martin Baulig  <baulig@suse.de>

	* libgnomecanvas/libgnomecanvas-boxed.defs (GnomeCanvasPoints): This is
	refcounted and has no init function.

	* libgnomecanvas/libgnomecanvas-2.0.pc.in: Depend on gtk+-2.0.

2001-03-24  Martin Baulig  <baulig@suse.de>

	* configure.in: Removed the REBUILD alias.

2001-03-21  Martin Baulig  <baulig@suse.de>

	* libgnomecanvas/maketypes.awk, makeenums.pl: Removed, we now use
	gnome-maketypes.awk and gnome-makeenums.pl which gets
	installed by libgnome-2.

	* libgnomecanvas/libgnomecanvastypes.c: Reflect latest gnome-maketypes.awk
	changes.

2001-03-21  Martin Baulig  <baulig@suse.de>

	* configure.in: Set package name to `libgnomecanvas2', looks
	better than `libgnomecanvas-2'.

	* configure.in (GNOME_MAKETYPES, GNOME_MAKEENUMS): Check
	for the `gnome-maketypes.awk' and `gnome-makeenums.pl'
	scripts which are installed by libgnome-2 and AC_SUBST them.

	* configure.in: Removed the GNOME_LIBS_PACKAGE stuff.

2001-03-05  Martin Baulig  <baulig@suse.de>

	* libgnomecanvas/gnome-canvas-pixbuf.[ch]: #include <libgnomecanvas/*.h>
	instead of <libgnome/*.h>.

	* libgnomecanvas/gnome-canvas-line.c, gnome-canvas-polygon.c:
	#include "libgnomecanvastypebuiltins.h".

	* libgnomecanvas/libgnomecanvastypes.c: New file.

	* libgnomecanvas/libgnomecanvas-boxed.defs: New file.
	* libgnomecanvas/libgnomecanvas-2.0.pc.in: New file.

2001-03-05  Martin Baulig  <baulig@suse.de>

	* libgnomecanvas/gnome-canvas*.[ch]: Moved here from gnome-libs/libgnomeui.
	All files are copied directly in CVS so they contain the
	full history.

